# -*- coding: utf-8 -*-
# Copyright 2022 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from oceanbolt.com.distancecalculator_v3 import gapic_version as package_version

__version__ = package_version.__version__


from .services.distance_calculator_service import DistanceCalculatorServiceClient
from .services.distance_calculator_service import DistanceCalculatorServiceAsyncClient

from .types.service import BatchDistanceRequest
from .types.service import BatchDistanceResponse
from .types.service import DistanceRequest
from .types.service import DistanceResponse
from .types.service import Leg
from .types.service import Location
from .types.service import Point

__all__ = (
    'DistanceCalculatorServiceAsyncClient',
'BatchDistanceRequest',
'BatchDistanceResponse',
'DistanceCalculatorServiceClient',
'DistanceRequest',
'DistanceResponse',
'Leg',
'Location',
'Point',
)
